### Function

# Camel debug_demangle_backtrace

since: 3.30

#### Declaration [src]

    void
    camel_debug_demangle_backtrace (
      GString* bt
    )

#### Description [src]

Demangles `bt`, possibly got from camel_debug_get_raw_backtrace(), by replacing addresses with actual function calls and eventually line numbers, if available. It modifies lines of `bt`, but skips those it cannot parse.

Note: Getting backtraces only works if the library was configured with —enable-backtraces.

See also camel_debug_get_raw_backtrace().

Available since: 3.30

#### Parameters

`bt`

  Type: `GString`

  A `GString` with a raw backtrace, or `NULL`.

  The argument will be modified by the function.
  The argument can be set to `NULL` by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.